Last Comment Bug 714715 - Variable is used before a null check in GeckoApp.launch
: Variable is used before a null check in GeckoApp.launch
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: Firefox 12
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 21:34 PST by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2012-02-06 07:14 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (1.34 KB, patch)
2012-01-02 21:34 PST, Mark Finkle (:mfinkle) (use needinfo?)
dougt: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-02 21:59:39 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/172f007cc17c
Comment 2 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-01-04 04:40:09 PST
https://hg.mozilla.org/mozilla-central/rev/172f007cc17c
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 06:23:18 PST
Comment on attachment 585353 [details] [diff] [review]
patch

[Approval Request Comment]
Code cleanup. No risk
Prevents a possible NullPointerException
Comment 4 Alex Keybl [:akeybl] 2012-01-06 11:21:30 PST
Comment on attachment 585353 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 22:11:28 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/3fb197649a87

Note You need to log in before you can comment on or make changes to this bug.